--print("Setting Up Requester")
setMenuRequester(menu_boxMetalWide);
setMenuButton(menu_boxMetal);


weaponsString1 = getString("speed reload by 10%");
weaponsString2 = getString("speed reload by 20%");
weaponsString3 = getString("speed reload by 30%");
weaponsString4 = getString("maxed out weapon handling mexcellent");

if getWeapons() == 0 then
weaponsString = weaponsString1;
elseif getWeapons() == 1 then
weaponsString = weaponsString2;
elseif getWeapons() == 2 then
weaponsString = weaponsString3;
else
weaponsString = weaponsString4;
end

if getWeapons() <= 2 then
popMenuRequester(weaponsString, getString("yep"), getString("no way"), "setWeapons(getWeapons() + 1);" .. afterLevel, "menuUnPop()");
else
popMenuInfo(weaponsString, getString("okay"), "menuUnPop()");
end
